## libvdpau-va-gl 0.2.1

=== CMakeLists.txt ===
project (libvdpau-va-gl)
cmake_minimum_required (VERSION 2.6)
add_definitions(-std=gnu99 -Wall -fvisibility=hidden)

find_package(PkgConfig REQUIRED)
pkg_check_modules(SOMELIBS vdpau glib-2.0 libswscale libva-glx gl glu REQUIRED)

add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
add_custom_target(build-tests)
add_dependencies(check build-tests)
enable_testing()
add_subdirectory(tests)

link_directories (
	${SOMELIBS_LIBRARY_DIRS}
)

include_directories (
	${SOMELIBS_INCLUDE_DIRS}
)

set(DRIVER_NAME "vdpau_va_gl" CACHE STRING "driver name")
set(LIB_SUFFIX "" CACHE STRING "library path suffix (if needed)")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/vdpau" CACHE PATH "library installation path")

add_library (${DRIVER_NAME} SHARED
	vdpau-decoder.c
	vdpau-soft.c
	vdpau-presentation.c
	vdpau-entry.c
	vdpau-trace.c
	reverse-constant.c
	handle-storage.c
	bitstream.c
	h264-parse.c
	globals.c
	watermark.c
	ctx-stack.c
)

target_link_libraries (${DRIVER_NAME}
	${SOMELIBS_LIBRARIES}
)

# add_library (xinitthreads SHARED xinitthreads.c)
# target_link_libraries (xinitthreads -lpthread -lX11)

set_target_properties (${DRIVER_NAME}
	PROPERTIES
	VERSION 1
)

install (TARGETS ${DRIVER_NAME} DESTINATION ${LIB_INSTALL_DIR})

=== tests/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(tests-for-libvdpau-va-gl)

include_directories(..)
find_package(X11 REQUIRED)
pkg_check_modules(VDPAU vdpau REQUIRED)

link_libraries(${X11_LIBRARIES} ${VDPAU_LIBRARIES} -lpthread)
link_directories(${X11_LIBRARY_DIRS} ${VDPAU_LIBRARY_DIRS})

list(APPEND _vdpau_tests
	test-001 test-002 test-003 test-004 test-005 test-006
	test-007 test-008 test-009 test-010)

list(APPEND _all_tests test-000 ${_vdpau_tests})

add_executable(test-000 EXCLUDE_FROM_ALL test-000.c ../bitstream.c)

foreach(_test ${_vdpau_tests})
	add_executable(${_test} EXCLUDE_FROM_ALL "${_test}.c" vdpau-init.c)
endforeach(_test)

foreach(_test ${_all_tests})
	add_test(${_test} ${CMAKE_CURRENT_BINARY_DIR}/${_test})
	add_dependencies(build-tests ${_test})
endforeach(_test)

=== debian/changelog ===
libvdpau-va-gl (0.2.1-1) unstable; urgency=low

  * New upstream version.
  * Bump Standards-Version.
  * Ensure we compile with -DNDEBUG as this displays many verbose messages.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Dec 2013 17:50:56 +0100

libvdpau-va-gl (0.2.0-1) unstable; urgency=low

  * New upstream version.

 -- Vincent Bernat <bernat@debian.org>  Fri, 01 Nov 2013 10:04:40 +0100

libvdpau-va-gl (0.1.0-2) unstable; urgency=low

  * Add multiarch support. Closes: #719617.

 -- Vincent Bernat <bernat@debian.org>  Tue, 13 Aug 2013 18:30:07 +0200

libvdpau-va-gl (0.1.0-1) unstable; urgency=low

  * New upstream release.
      + Switch to versioned tarballs as source.
  * Add a debian/watch file.
  * Depends on debhelper 8.1.3 to use compatibility level 9.

 -- Vincent Bernat <bernat@debian.org>  Fri, 09 Aug 2013 08:29:45 +0200

libvdpau-va-gl (0+git20130616.b36186e2b3-1) unstable; urgency=low

  * Initial release. Closes: #712035.

 -- Vincent Bernat <bernat@debian.org>  Sun, 16 Jun 2013 08:19:46 +0200

=== debian/control ===
Source: libvdpau-va-gl
Section: libs
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), git, cmake,
               libvdpau-dev, libva-dev,
               libglib2.0-dev,
               libswscale-dev, libgl1-mesa-dev, libglu1-mesa-dev
Homepage: https://github.com/i-rinat/libvdpau-va-gl
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libvdpau-va-gl.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libvdpau-va-gl.git

Package: libvdpau-va-gl1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VDPAU driver with OpenGL/VAAPI backend
 Many applications can use VDPAU to accelerate portions of the video
 decoding process and video post-processing to the GPU video
 hardware. Unfortunately, there is no such library for many graphic
 chipsets. Some applications also support VA-API but many of them,
 including Adobe Flash Player, don't.
 .
 This library proposes a generic VDPAU library. It uses OpenGL under
 the hood to accelerate drawing and scaling and VA-API (if available)
 to accelerate video decoding.

## libvdpau-va-gl 0.3.4

=== src/CMakeLists.txt ===
include_directories(
    ${GENERATED_INCLUDE_DIRS}
)

link_directories (
	${X11_LIBRARY_DIRS}
	${GLIB20_LIBRARY_DIRS}
	${LIBVA_LIBRARY_DIRS}
	${LIBSWSCALE_LIBRARY_DIRS}
	${GL_LIBRARY_DIRS}
)

add_library (${DRIVER_NAME}_obj OBJECT
	api-bitmap-surface.c
	api-csc-matrix.c
	api-device.c
	api-output-surface.c
	api-presentation-queue.c
	api-video-decoder.c
	api-video-mixer.c
	api-video-surface.c
	entry.c
	trace.c
	reverse-constant.c
	handle-storage.c
	bitstream.c
	h264-parse.c
	globals.c
	watermark.c
	ctx-stack.c
)

add_dependencies(${DRIVER_NAME}_obj shader-bundle)

add_library(${DRIVER_NAME} SHARED $<TARGET_OBJECTS:${DRIVER_NAME}_obj>)
add_library(${DRIVER_NAME}_static STATIC $<TARGET_OBJECTS:${DRIVER_NAME}_obj>)

set(LINK_LIBRARIES
	-lX11
	${GLIB20_LIBRARIES}
	${LIBVA_LIBRARIES}
	${LIBSWSCALE_LIBRARIES}
	${GL_LIBRARIES}
	-lpthread
	-lrt
	shader-bundle
)

target_link_libraries(${DRIVER_NAME} ${LINK_LIBRARIES})
target_link_libraries(${DRIVER_NAME}_static ${LINK_LIBRARIES})

# add_library (xinitthreads SHARED xinitthreads.c)
# target_link_libraries (xinitthreads -lpthread -lX11)

set_target_properties(${DRIVER_NAME}
	PROPERTIES
	VERSION 1
)

install(TARGETS ${DRIVER_NAME} DESTINATION ${LIB_INSTALL_DIR})

=== debian/changelog ===
libvdpau-va-gl (0.3.4-3) unstable; urgency=medium

  * Don't pollute stdout. Closes: #780228.
     + debian/patches/43.patch
  * Bump Standards-Version.
  * Use an unique License block in debian/copyright.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Jul 2015 09:49:12 +0200

libvdpau-va-gl (0.3.4-2) unstable; urgency=medium

  * Add Depends/Enhances: libvdpau1 and Provides: vdpau-driver to match
    other driver packages. Closes: #765975.

 -- Vincent Bernat <bernat@debian.org>  Sun, 19 Oct 2014 21:26:42 +0200

libvdpau-va-gl (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * Add an horible hack to not use dpkg-architecture.
    Closes: #737371.

 -- Vincent Bernat <bernat@debian.org>  Sun, 02 Feb 2014 14:26:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), git, cmake,
                libvdpau-dev, libva-dev,
                libglib2.0-dev,
@@ -15,7 +15,9 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libvdpau1
+Enhances: libvdpau1
+Provides: vdpau-driver
 Description: VDPAU driver with OpenGL/VAAPI backend
  Many applications can use VDPAU to accelerate portions of the video
  decoding process and video post-processing to the GPU video

## libvdpau-va-gl 0.3.6

=== CMakeLists.txt ===
project (libvdpau-va-gl)
cmake_minimum_required (VERSION 2.8.8)
add_definitions(-std=gnu99 -Wall -fvisibility=hidden -fPIC)

find_package(PkgConfig REQUIRED)
find_package(X11 REQUIRED)
pkg_check_modules(VDPAU      vdpau      REQUIRED)
pkg_check_modules(GLIB20     glib-2.0   REQUIRED)
pkg_check_modules(LIBVA      libva-x11  REQUIRED)
pkg_check_modules(LIBSWSCALE libswscale REQUIRED)
pkg_check_modules(GL         gl glu     REQUIRED)

set(DRIVER_NAME "vdpau_va_gl" CACHE STRING "driver name")
set(LIB_SUFFIX "" CACHE STRING "library path suffix (if needed)")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/vdpau" CACHE PATH "library installation path")

include_directories (
	${X11_INCLUDE_DIRS}
	${VDPAU_INCLUDE_DIRS}
	${GLIB20_INCLUDE_DIRS}
	${LIBVA_INCLUDE_DIRS}
	${LIBSWSCALE_INCLUDE_DIRS}
	${GL_INCLUDE_DIRS}
	${GENERATED_INCLUDE_DIRS}
	${CMAKE_BINARY_DIR}
	src
)

add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
add_custom_target(build-tests)
add_dependencies(check build-tests)
add_subdirectory(glsl)
enable_testing()
add_subdirectory(tests)

# put compiled library to the build directory root
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
add_subdirectory(src)

=== glsl/CMakeLists.txt ===
set(shader_list_no_path
	NV12_RGBA.glsl
	YV12_RGBA.glsl
	red_to_alpha_swizzle.glsl
)
set(GENERATED_INCLUDE_DIRS ${CMAKE_CURRENT_BINARY_DIR} PARENT_SCOPE)

set(shader_list)
foreach(item ${shader_list_no_path})
	list(APPEND shader_list ${CMAKE_CURRENT_SOURCE_DIR}/${item})
endforeach(item)

add_custom_command(
	OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/shaders.c ${CMAKE_CURRENT_BINARY_DIR}/shaders.h
	COMMAND ${CMAKE_CURRENT_BINARY_DIR}/shader-bundle-tool ${CMAKE_CURRENT_BINARY_DIR}/shaders.h ${CMAKE_CURRENT_BINARY_DIR}/shaders.c ${shader_list}
	DEPENDS ${shader_list} shader-bundle-tool
)
add_custom_target(shader-bundle-src DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/shaders.c ${CMAKE_CURRENT_BINARY_DIR}/shaders.h)

add_executable(shader-bundle-tool shader-bundle-tool.c)
add_library(shader-bundle STATIC ${CMAKE_CURRENT_BINARY_DIR}/shaders.c)
add_dependencies(shader-bundle shader-bundle-src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -49,9 +49,6 @@
 target_link_libraries(${DRIVER_NAME} ${LINK_LIBRARIES})
 target_link_libraries(${DRIVER_NAME}_static ${LINK_LIBRARIES})
 
-# add_library (xinitthreads SHARED xinitthreads.c)
-# target_link_libraries (xinitthreads -lpthread -lX11)
-
 set_target_properties(${DRIVER_NAME}
 	PROPERTIES
 	VERSION 1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 project(tests-for-libvdpau-va-gl)
 
 include_directories(..)
+include_directories(${GENERATED_INCLUDE_DIRS})
 find_package(X11 REQUIRED)
 pkg_check_modules(VDPAU vdpau REQUIRED)
 
@@ -14,13 +15,20 @@
 
 list(APPEND _all_tests test-000 ${_vdpau_tests})
 
-add_executable(test-000 EXCLUDE_FROM_ALL test-000.c ../bitstream.c)
+add_executable(test-000 EXCLUDE_FROM_ALL test-000.c ../src/bitstream.c)
 
 foreach(_test ${_vdpau_tests})
-	add_executable(${_test} EXCLUDE_FROM_ALL "${_test}.c" vdpau-init.c)
+	add_executable(${_test} EXCLUDE_FROM_ALL "${_test}.c" tests-common.c)
+	target_link_libraries(${_test} ${DRIVER_NAME}_static)
 endforeach(_test)
 
 foreach(_test ${_all_tests})
 	add_test(${_test} ${CMAKE_CURRENT_BINARY_DIR}/${_test})
 	add_dependencies(build-tests ${_test})
 endforeach(_test)
+
+# tmp for testing
+
+include_directories(${GLIB20_INCLUDE_DIRS})
+add_executable(conv-speed conv-speed.c)
+target_link_libraries(conv-speed ${DRIVER_NAME}_static)

=== debian/changelog ===
libvdpau-va-gl (0.3.6-1) unstable; urgency=medium

  * New upstream version.
     + Remove all patches, applied upstream.
  * Bump Standards-Version.
  * Update Vcs-* fields in d/control.

 -- Vincent Bernat <bernat@debian.org>  Wed, 02 Mar 2016 19:51:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9), git, cmake,
                libvdpau-dev, libva-dev,
                libglib2.0-dev,
                libswscale-dev, libgl1-mesa-dev, libglu1-mesa-dev
 Homepage: https://github.com/i-rinat/libvdpau-va-gl
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libvdpau-va-gl.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/libvdpau-va-gl.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libvdpau-va-gl.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libvdpau-gl-va.git
 
 Package: libvdpau-va-gl1
 Architecture: any

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libvdpau-va-gl-$1.tar.gz/ \
  https://github.com/i-rinat/libvdpau-va-gl/tags .*/v?(\d\S*)\.tar\.gz

## libvdpau-va-gl 0.4.0

=== debian/changelog ===
libvdpau-va-gl (0.4.0-2) unstable; urgency=medium

  * Add upstream patch to fix a memory leak. Closes: #820822.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 Jul 2016 08:17:10 +0200

libvdpau-va-gl (0.4.0-1) unstable; urgency=medium

  * New upstream version.
     + Fix fullscreen problem with VLC. Closes: #819453.
  * Bump Standards-Version.

 -- Vincent Bernat <bernat@debian.org>  Sat, 25 Jun 2016 15:59:16 +0200

## libvdpau-va-gl 0.4.2

=== CMakeLists.txt ===
project (libvdpau-va-gl)
cmake_minimum_required (VERSION 2.8)
add_definitions(-Wall -fvisibility=hidden -fPIC)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread -std=gnu99")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread -std=c++11")

find_package(PkgConfig REQUIRED)
find_package(X11 REQUIRED)
pkg_check_modules(LIBVA      libva-x11  REQUIRED)
pkg_check_modules(LIBGL      gl         REQUIRED)

set(DRIVER_NAME "vdpau_va_gl" CACHE STRING "driver name")
set(LIB_SUFFIX "" CACHE STRING "library path suffix (if needed)")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/vdpau" CACHE PATH "library installation path")

include_directories (
    3rdparty
    ${X11_INCLUDE_DIRS}
    ${LIBVA_INCLUDE_DIRS}
    ${LIBGL_INCLUDE_DIRS}
    ${GENERATED_INCLUDE_DIRS}
    ${CMAKE_BINARY_DIR}
)

# filter public symbols
set(SYMBOLMAP "-Wl,-version-script=\"${CMAKE_SOURCE_DIR}/src/symbolmap\"")

add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})
add_custom_target(build-tests)
add_dependencies(check build-tests)
add_subdirectory(glsl)
enable_testing()
add_subdirectory(tests)

# put compiled library to the build directory root
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
add_subdirectory(src)

=== glsl/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,6 @@
 )
 add_custom_target(shader-bundle-src DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/shaders.c ${CMAKE_CURRENT_BINARY_DIR}/shaders.h)
 
-add_executable(shader-bundle-tool shader-bundle-tool.c)
+add_executable(shader-bundle-tool shader-bundle-tool.cc)
 add_library(shader-bundle STATIC ${CMAKE_CURRENT_BINARY_DIR}/shaders.c)
 add_dependencies(shader-bundle shader-bundle-src)

=== src/CMakeLists.txt ===
include_directories(
    ${GENERATED_INCLUDE_DIRS}
)

link_directories (
    ${X11_LIBRARY_DIRS}
    ${LIBVA_LIBRARY_DIRS}
    ${LIBGL_LIBRARY_DIRS}
)

add_library(${DRIVER_NAME} SHARED
    api-bitmap-surface.cc
    api-csc-matrix.cc
    api-decoder.cc
    api-device.cc
    api-output-surface.cc
    api-presentation-queue.cc
    api-video-mixer.cc
    api-video-surface.cc
    entry.cc
    globals.cc
    glx-context.cc
    h264-parse.cc
    handle-storage.cc
    reverse-constant.cc
    trace.cc
    watermark.cc
    x-display-ref.cc
)

add_dependencies(${DRIVER_NAME} shader-bundle)

set(LINK_LIBRARIES
    ${X11_LIBRARIES}
    ${LIBVA_LIBRARIES}
    ${LIBGL_LIBRARIES}
    -lrt
    shader-bundle
)

target_link_libraries(${DRIVER_NAME} ${LINK_LIBRARIES} ${SYMBOLMAP})

set_target_properties(${DRIVER_NAME}
    PROPERTIES
    VERSION 1
)

install(TARGETS ${DRIVER_NAME} DESTINATION ${LIB_INSTALL_DIR})

=== tests/CMakeLists.txt ===
include_directories(..)
include_directories(${GENERATED_INCLUDE_DIRS})

add_definitions(-DDRIVER_NAME="${CMAKE_BINARY_DIR}/lib${DRIVER_NAME}.so.1")

link_libraries(${X11_LIBRARIES})
link_directories(${X11_LIBRARY_DIRS})

list(APPEND _vdpau_tests
    test-001 test-002 test-003 test-004 test-005 test-006
    test-007 test-008 test-009 test-010)

list(APPEND _all_tests test-000 ${_vdpau_tests})

add_executable(test-000 EXCLUDE_FROM_ALL test-000.cc)

foreach(_test ${_vdpau_tests})
    add_executable(${_test} EXCLUDE_FROM_ALL "${_test}.c" tests-common.c)
    add_dependencies(${_test} ${DRIVER_NAME})
    target_link_libraries(${_test} dl)
endforeach(_test)

foreach(_test ${_all_tests})
    add_test(${_test} ${CMAKE_CURRENT_BINARY_DIR}/${_test})
    add_dependencies(build-tests ${_test})
endforeach(_test)

# tmp for testing

add_executable(conv-speed EXCLUDE_FROM_ALL conv-speed.c)
target_link_libraries(conv-speed ${DRIVER_NAME}_static)

=== debian/changelog ===
libvdpau-va-gl (0.4.2-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Helmut Grohne ]
  * Fix FTCBFS: Build shader-bundle-tool with the build architecture
    compiler. (Closes: #1018008)

 -- Vincent Bernat <bernat@debian.org>  Wed, 24 Aug 2022 07:39:09 +0200

libvdpau-va-gl (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: drop all patches, applied upstream.

 -- Vincent Bernat <bernat@debian.org>  Fri, 07 Oct 2016 10:56:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: libs
 Priority: optional
 Maintainer: Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), git, cmake,
                libvdpau-dev, libva-dev,
                libglib2.0-dev,
                libswscale-dev, libgl1-mesa-dev, libglu1-mesa-dev
 Homepage: https://github.com/i-rinat/libvdpau-va-gl
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libvdpau-va-gl.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libvdpau-gl-va.git
+Vcs-Browser: https://salsa.debian.org/debian/libvdpau-va-gl
+Vcs-Git: https://salsa.debian.org/debian/libvdpau-va-gl.git
 
 Package: libvdpau-va-gl1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk
export DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG

%:
	dh $@

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
override_dh_auto_configure:
	$(CXX_FOR_BUILD) glsl/shader-bundle-tool.cc -o debian/shader-bundle-tool
	dh_auto_configure -- -DSHADER_BUNDLE_TOOL_EXECUTABLE=$(CURDIR)/debian/shader-bundle-tool
endif

override_dh_auto_test:
	# Cannot run tests without a X11 server (with VAAPI support)

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/libvdpau-va-gl1/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/libvdpau-va-gl1/usr/lib/vdpau \
		debian/libvdpau-va-gl1/usr/lib/$(DEB_HOST_MULTIARCH)/.

## libvdpau-va-gl 0.4.2.1

=== debian/changelog ===
libvdpau-va-gl (0.4.2.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 19c9cf216b445bb3b57d3b45cdb46b04f1243cb3']

 -- shuttle <shuttle@deepin.com>  Wed, 11 Dec 2019 20:04:27 +0000
